## org.eclipse.uml2.uml
Interface LinkEndDestructionData

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, LinkEndData, org.eclipse.emf.common.notify.Notifier

    public interface LinkEndDestructionData

extends LinkEndData

A representation of the model object 'Link End Destruction Data'. A link end destruction data is not an action. It is an element that identifies links. It identifies one end of a link to be destroyed by destroy link action.

The following features are supported:

- `Is Destroy Duplicates`
- `Destroy At`

See Also:
  `UMLPackage.getLinkEndDestructionData()`

Method Summary
`InputPin` `getDestroyAt()` Returns the value of the 'Destroy At' reference
`boolean` `isDestroyDuplicates()` Returns the value of the 'Is Destroy Duplicates' attribute.
`void` `setDestroyAt(InputPin value)` Sets the value of the '`Destroy At`' reference
`void` `setIsDestroyDuplicates(boolean value)` Sets the value of the '`Is Destroy Duplicates`' attribute
`boolean` `validateDestroyLinkAction(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` LinkEndDestructionData can only be end data for DestroyLinkAction or one of its specializations.
`boolean` `validateUnlimitedNaturalAndMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` LinkEndDestructionData for ordered nonunique association ends must have a single destroyAt input pin if isDestroyDuplicates is false.

Methods inherited from interface org.eclipse.uml2.uml.LinkEndData
`createQualifier, getEnd, getQualifiers, getValue, setEnd, setValue, validateEndObjectInputPin, validateMultiplicity, validatePropertyIsAssociationEnd, validateQualifiers, validateSameType`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDestroyDuplicates

    boolean isDestroyDuplicates()

  Returns the value of the 'Is Destroy Duplicates' attribute. The default value is `"false"`. Specifies whether to destroy duplicates of the value in nonunique association ends.

  Returns:
    the value of the 'Is Destroy Duplicates' attribute.
  See Also:
    `setIsDestroyDuplicates(boolean)`, `UMLPackage.getLinkEndDestructionData_IsDestroyDuplicates()`

### setIsDestroyDuplicates

    void setIsDestroyDuplicates(boolean value)

  Sets the value of the '`Is Destroy Duplicates`' attribute.

  Parameters:
    `value` - the new value of the 'Is Destroy Duplicates' attribute.
  See Also:
    `isDestroyDuplicates()`

### getDestroyAt

    InputPin getDestroyAt()

  Returns the value of the 'Destroy At' reference. Specifies the position of an existing link to be destroyed in ordered nonunique association ends. The type of the pin is UnlimitedNatural, but the value cannot be zero or unlimited.

  Returns:
    the value of the 'Destroy At' reference.
  See Also:
    `setDestroyAt(InputPin)`, `UMLPackage.getLinkEndDestructionData_DestroyAt()`

### setDestroyAt

    void setDestroyAt(InputPin value)

  Sets the value of the '`Destroy At`' reference.

  Parameters:
    `value` - the new value of the 'Destroy At' reference.
  See Also:
    `getDestroyAt()`

### validateDestroyLinkAction

    boolean validateDestroyLinkAction(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  LinkEndDestructionData can only be end data for DestroyLinkAction or one of its specializations. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateUnlimitedNaturalAndMultiplicity

    boolean validateUnlimitedNaturalAndMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  LinkEndDestructionData for ordered nonunique association ends must have a single destroyAt input pin if isDestroyDuplicates is false. It must be of type UnlimitedNatural and have a multiplicity of 1..1. Otherwise, the action has no input pin for the removal position. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.